Results 1 to 6 of 6

Thread: Trying to upgrade to 5: at runtime I get Invalid component "itemId": ""

    Looks like we can't reproduce the issue or there's a problem in the test case provided.
  1. #1
    Sencha Premium Member
    Join Date
    Feb 2012
    Location
    Connecticut
    Posts
    1,016

    Default Trying to upgrade to 5: at runtime I get Invalid component "itemId": ""

    More fun converting from 4.2.3 to 5. I can get it to build fine, no errors, when I try to run the preview or the built app. I get the above error. Looking at the trace, I have no clue what component is causing this. Can someone point me where to look?

    Thanks

    Bruce

  2. #2
    Sencha User aconran's Avatar
    Join Date
    Mar 2007
    Posts
    9,488

    Default

    search for a component with an itemId of ""?

    set a breakpoint where the error/warning occurs and refresh the page?
    Aaron Conran
    @aconran

  3. #3
    Sencha Premium Member
    Join Date
    Feb 2012
    Location
    Connecticut
    Posts
    1,016

    Default

    umm, no component has an itemid of '' (at least I looked at all of them and could not find one. The error happens before the page is loaded, so I have no clue how to set a break point as the components are loading.

  4. #4
    Sencha User aconran's Avatar
    Join Date
    Mar 2007
    Posts
    9,488

    Default

    If you could share the project with us we can take a look. Or point us to a running instance of it and can debug.
    Aaron Conran
    @aconran

  5. #5
    Sencha Premium Member
    Join Date
    Feb 2012
    Location
    Connecticut
    Posts
    1,016

    Default

    Found it. I had a toolbar on one grid that had a blank (not null) itemID. Of course, this was NOT an issue in V4. Wonder why blank is an issue in V5?

  6. #6
    Sencha User aconran's Avatar
    Join Date
    Mar 2007
    Posts
    9,488

    Default

    Just additional validation checks to prevent problems down the line.
    Aaron Conran
    @aconran

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •